Gedit lost after upd-7

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Gedit lost after upd-7

Postby Stoned on Tue Sep 24, 2013 2:59 pm

I find many dependency problem in update7 of lmde cinnamon.
After more work, now i have a working desktop...but my "friend" Gedit desappear!
When try to install it with apt, i find that it depend to gir1.2-peas-1.0 libpeas-1.0-0, that dipends to libgjs0c...
But the only way to install libgjs0c seem to be remove libgjs0b...and all cinnamon seem to depend to it!
How can i have again "my best friend" with me ? :lol:
Stoned
Level 1
Level 1
 
Posts: 1
Joined: Tue Sep 24, 2013 2:46 pm

Linux Mint is funded by ads and donations.
 

Re: Gedit lost after upd-7

Postby Monsta on Wed Sep 25, 2013 3:19 pm

I think the only solution is to install the old versions of gir1.2-peas-1.0 and libpeas-1.0-0 (from UP6). They don't depend on libgjs0c.
You'll need version 1.4.0-2. You can get both packages from here: http://snapshot.debian.org/package/libpeas/1.4.0-2/
Monsta
Level 8
Level 8
 
Posts: 2414
Joined: Fri Aug 19, 2011 3:46 am

Re: Gedit lost after upd-7

Postby xfoo on Wed Oct 16, 2013 7:52 am

I have roughly the same issue, packages gir1.2-peas-1.0 and libpeas-1.0-0 have been held back (version 1.4.0-2 installed, 1.8.1-1 available). Upgrading is not possible because of broken dependencies (cinnamon, etc...). Gedit is functioning, but the plugins (from gedit-plugins) are not ("Could not load plugin loader 'python3'", and no gedit plugin configuration folder exists).
I am not sure I understand the issue very well, but does that mean that gedit+plugins and cinnamon/nemo/etc cannot cohabit ? Is there a known work-around ?
xfoo
Level 1
Level 1
 
Posts: 2
Joined: Wed Oct 16, 2013 7:41 am

Re: Gedit lost after upd-7

Postby Monsta on Wed Oct 16, 2013 8:03 am

xfoo wrote:I have roughly the same issue, packages gir1.2-peas-1.0 and libpeas-1.0-0 have been held back (version 1.4.0-2 installed, 1.8.1-1 available). Upgrading is not possible because of broken dependencies (cinnamon, etc...).

Yes, it's not possible because of the gjs issue described in the Update Pack notes.

xfoo wrote:I am not sure I understand the issue very well, but does that mean that gedit+plugins and cinnamon/nemo/etc cannot cohabit ? Is there a known work-around ?

GEdit will work while its plugins that require the newer version of libpeas-1.0-0 will not.
Monsta
Level 8
Level 8
 
Posts: 2414
Joined: Fri Aug 19, 2011 3:46 am

Re: Gedit lost after upd-7

Postby xfoo on Wed Oct 16, 2013 9:22 am

Thank you for the quick answer. No work around that then ? Should we just wait UP8 ? :-/
xfoo
Level 1
Level 1
 
Posts: 2
Joined: Wed Oct 16, 2013 7:41 am

Re: Gedit lost after upd-7

Postby Monsta on Wed Oct 16, 2013 9:33 am

Not UP8, but Cinnamon 2.0.
Monsta
Level 8
Level 8
 
Posts: 2414
Joined: Fri Aug 19, 2011 3:46 am


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests